Skip to main content
`Ctrl`+`K`

# PetscViewerASCIIPushTab

Adds one more tab to the amount that `PetscViewerASCIIPrintf()` lines are tabbed.

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerASCIIPushTab(PetscViewer viewer)

Not Collective, but only first MPI rank in the viewer has any effect; No Fortran Support

## Input Parameter

- viewer - obtained with `PetscViewerASCIIOpen()`

## See Also

Viewers: Looking at PETSc Objects, `PetscPrintf()`, `PetscSynchronizedPrintf()`, `PetscViewerASCIIPrintf()`, `PetscViewerASCIIPopTab()`, `PetscViewerASCIISynchronizedPrintf()`, `PetscViewerASCIIOpen()`, `PetscViewerCreate()`, `PetscViewerDestroy()`, `PetscViewerSetType()`, `PetscViewerASCIIGetPointer()`

## Level

developer

## Location

src/sys/classes/viewer/impls/ascii/filev.c

## Examples

src/vec/vec/utils/tagger/tutorials/ex1.c
src/tao/constrained/tutorials/ex1.c
src/ts/tutorials/ex14.c
src/dm/label/tutorials/ex1f90.F90
src/vec/is/sf/tutorials/ex1.c
src/dm/label/tutorials/ex1.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages